YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Interface ICartesianAxisRenderer

Package | com.yahoo.astra.fl.charts.axes
Interface | public interface ICartesianAxisRenderer extends IAxisRenderer
Implementors | DefaultAxisRenderer

Interface for a cartesian chart's axis renderers.

See also

com.yahoo.astra.fl.charts.CartesianChart

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | contentBounds : Rectangle [read-only] Represents the area where content should be drawn within the axis. | ICartesianAxisRenderer
|  | length : Number The total length of the axis renderer, in pixels. | IAxisRenderer
|  | minorTicks : Array An Array of AxisData objects specifying the positions of the minor ticks. | IAxisRenderer
|  | orientation : String Determines if the axis is displayed vertically or horizontally. | ICartesianAxisRenderer
|  | ticks : Array An Array of AxisData objects specifying the positions of the ticks. | IAxisRenderer
|  | title : String The title text to display on the axis. | ICartesianAxisRenderer

Public Methods

| Method | Defined by
--- | --- | ---
|  | updateBounds():void Calculates the `contentBounds` value for the axis renderer. | ICartesianAxisRenderer

Property detail

contentBounds | property

`contentBounds:Rectangle` [read-only]

Represents the area where content should be drawn within the axis. This value is used to determine the containing chart's own `contentBounds` property.

Implementation
`public function get contentBounds():Rectangle`

orientation | property |

`orientation:String` [read-write]

Determines if the axis is displayed vertically or horizontally.

Implementation
`public function get orientation():String`
`public function set orientation(value:String):void`

See also

com.yahoo.astra.fl.charts.axes.AxisOrientation

title | property |

`title:String` [read-write]

The title text to display on the axis.

Implementation
`public function get title():String`
`public function set title(value:String):void`
Method detail

updateBounds | () | method

`public function updateBounds():void`

Calculates the `contentBounds` value for the axis renderer. Seperating this function from the draw method optimizes processing time, and it allows the chart to synchronize its axes.